package com.ijchart.xychart.listener ;

import java.util.EventListener ;

import com.ijchart.xychart.event.TitleChangeEvent ;

/**
 * <p>Title: IJChart</p>
 *
 * <p>Description: a chart library for the Java(tm) platform.</p>
 * <zh>¼ڼͼtitle仯ʱ¼,¼ʱʵִ˼ᱻԶ֪ͨ.</zh>
 * <en>The interface that must be supported by classes that wish to receive
 * notification of changes to a chart title.</en>
 *
 * <p>Copyright: Copyright (c) 2013</p>
 *
 * <p>Company: </p>
 *
 * @author zhang feng min,shanghai china.
 * <a href="mailto:ijchartsh@gmail.com">Contract me by email.</a>
 * @version 1.0
 */
public interface ITitleChangeListener extends EventListener {
  /**
   * <zh>յtitle仯¼.</zh>
   * <en>Receives notification of a chart title change event.</en>
   *
   * @param event TitleChangeEvent <zh>title仯¼.</zh>
   * <en>The title change event.</en>
   */
  void titleChanged(TitleChangeEvent event) ;
}
